package com.ym.mec.biz.dal.dao;


import com.ym.mec.biz.dal.entity.SysConfig;
import com.ym.mec.biz.dal.entity.SysTenantConfig;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface SysTenantConfigDao extends BaseDAO<Integer, SysTenantConfig> {

    List<SysConfig> queryALl(Map<String, Object> params);

    void delByConfigId(@Param("configIdList") List<Long> configIdList, @Param("tenantId") Integer tenantId);

    void batchInsert(@Param("sysConfigs") List<SysConfig> sysConfigs, @Param("tenantId") Integer tenantId);

    String getConfigValue(@Param("paramName") String paramName, @Param("tenantId") Integer tenantId);

    List<Map<String, String>> queryAllMap(@Param("tenantId") Integer tenantId);
}